[Dev] RE : [Important]Build problems Tizen 3.0 public

DURAND Baptiste Baptiste.DURAND at eurogiciel.fr
Thu Oct 10 09:20:23 GMT 2013


Hello all,

I delivered a fix for wrt-commons package.
https://review.tizen.org/gerrit/#/c/10587/

I notice  there are -1 & +1 note in gerrit.

%license is a keyword that already permits to package Lisence file as indicate in the comments.
So there is no need to copy file in the %install section in spec file.

Furthemore, some macro exists in TIZEN environment.

Using %cmake instead of cmake permits to fix the build by setting LIB_INSTALL_DIR environment variable.
  
Hoseon LEE , Soo-Hyun Choi, Please, could you take a look to the comments posted & review your notes?

Thanks

Baptiste

--
Baptiste DURAND


-------- Message d'origine--------
De: dev-bounces at lists.tizen.org de la part de ANUJ MISHRA
Date: jeu. 10/10/2013 04:52
Cc: dev at lists.tizen.org
Objet : Re: [Dev] [Important]Build problems Tizen 3.0 public
 
Look like some of the fixes being Merged to git but SR request is not raised. All Merged code should raise the SR for getting included in build. 
Today, still there are 16 failures for ARM build and not much SR visible yesterday. gst packages are still failing. Below of this mail is the URL to documentation of SR Process. 

No one came forwrard to fix one of the very important package "webkit2efl" package build failure. Hope maintainer looking into this email. 

No decision by Security team being made to solve the build failure of osp-installer. I would see the fix of osp-installer is very easy at the moment, once somebody look into this error. 
Therre is missing type "app_path_type_t" from smack module wheras similar type "app_type_t" is available to osp-installer. Why not add "app_path_type_t" declaration for the time being to solve this build error?

Also, for some packages maintainer planning to ugrade. Is it not feasible first to solve build error then go for upgrading upstream packages? If it is really 'unavoidable' then there is no other way. 
If not, simple fix in existing package is desirable to proceed further.  Once, everything building properly & running, it would be easy to verify upgrades. 

osp-media still waiting to be fixed. The lower layer maintainer should pay attention to this. 
Here is the current list of failed packeges. 

edje_multisense_plugin
gst-ffmpeg0.10
gst-openmax
gst-plugins-good0.10
libug-setting-wifidirect-efl
mobileprint
net-config
osp-app-controls
osp-common-service
osp-connectivity-service
osp-installer	
osp-media
osp-social
webkit2-efl
wrt-commons
xf86-video-fbdev
Hope to see some improvement today. 

BR, 
-Anuj

------- Original Message -------
Sender : Lukasz Stelmach<l.stelmach at samsung.com> Software Engineer/SRPOL-Kernel & System Framework (SSD)/Samsung Electronics
Date : Oct 09, 2013 19:59 (GMT+09:00)
Title : Re: [Dev] [Important]Build problems Tizen 3.0 public


> https://wiki.tizen.org/wiki/OSDev/Development_guide#How_to_trigger_submission_to_OBS
_______________________________________________
Dev mailing list
Dev at lists.tizen.org
https://lists.tizen.org/listinfo/dev

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.tizen.org/pipermail/dev/attachments/20131010/99680800/attachment-0001.html>


More information about the Dev mailing list